IF NOT OBJECT_ID('P_EST_PROD_CPL_MEDIAP_AGENDA_ALCADA') IS NULL
	BEGIN 
		DROP PROCEDURE P_EST_PROD_CPL_MEDIAP_AGENDA_ALCADA
	END

GO
 
CREATE PROCEDURE P_EST_PROD_CPL_MEDIAP_AGENDA_ALCADA(@CD_CTR INT)
AS
BEGIN

	IF EXISTS(SELECT I.CD_CTR 		
				FROM EST_ALCADA_CP_PED_LIB I					
				WHERE I.CD_CTR = @CD_CTR) 
		BEGIN 
			UPDATE AGD SET 
				STS_AGD_MEDIAP = 0  		
			FROM EST_ALCADA_CP_PED_LIB I
				INNER JOIN EST_ALCADA_CP_PED_EST_PROD_CPL_MEDIAP_AGENDA ALCADA_AGD ON 
					I.CD_CTR = ALCADA_AGD.CD_CTR
				INNER JOIN EST_PROD_CPL_MEDIAP_AGENDA AGD ON 
					ALCADA_AGD.CD_EMP = AGD.CD_EMP
					AND ALCADA_AGD.CD_AGD_MEDIAP = AGD.CD_AGD_MEDIAP
			WHERE I.CD_CTR = @CD_CTR;

			EXECUTE P_EST_PROD_CPL_MEDIAP_AGENDA
		END
	 
	 
END	